Bug 144437 - rtf export: bookmark is moved to paragraph begin
Summary: rtf export: bookmark is moved to paragraph begin
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords:
Depends on:
Blocks: RTF Bookmarks
  Show dependency treegraph
 
Reported: 2021-09-11 05:36 UTC by Vasily Melenchuk (CIB)
Modified: 2021-10-16 07:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Simple ODT file which has bookmark at the end (8.31 KB, application/vnd.oasis.opendocument.text)
2021-09-11 05:45 UTC, Vasily Melenchuk (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vasily Melenchuk (CIB) 2021-09-11 05:36:28 UTC
Description:
During export to RTF bookmark from paragraph end is moved to paragraph begin.

Steps to Reproduce:
1. Create a new writer document with just one sample paragraph
2. Insert bookmark at the end of document (end of paragraph)
3. Export to RTF
4. Load existing RTF

Actual Results:
Bookmark is transferred to paragraph begin.

Expected Results:
Bookmark is located at the paragraph end, as in source document.


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Vasily Melenchuk (CIB) 2021-09-11 05:45:10 UTC
Created attachment 174963 [details]
Simple ODT file which has bookmark at the end
Comment 2 Dieter 2021-09-26 10:18:51 UTC
I confirm it with

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7cd5b35caa8d4fa9d0ba2b2c6ce4b88726ed2be6
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL
Comment 3 Commit Notification 2021-10-01 10:10:17 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/732b3fd5bdf17f09b5f9304b470b741e5483eab1

tdf#144437: rtf export: bookmark position is written to current run

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-10-04 08:15:40 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/4ec287e91e25dca9a097f4ad896e6456c9ead87d

tdf#144437: rtf export: bookmark position is written to current run

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Dieter 2021-10-16 07:59:52 UTC
VERIFIED with

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 56883788d0090383dad58552f5a11044ffe64a44
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Vasily, thanks for fixing it!